=== modified file 'src/Debug.h'
--- src/Debug.h	2012-11-11 11:32:12 +0000
+++ src/Debug.h	2012-11-11 13:25:43 +0000
@@ -75,7 +75,6 @@
 
 class Debug
 {
-
 public:
     static char *debugOptions;
     static char *cache_log;
@@ -116,12 +115,20 @@
    } while (/*CONSTCOND*/ 0)
 
 /*
- * HERE is a macro that you can use like this:
- *
+ * HERE is a stream manipulatro which does nothing.
+ * Its purpose is to inactivate calls made following previous debugs()
+ * guidelines such as
  * debugs(1,2, HERE << "some message");
+ *
+ * The purpose previously held by HERE is now absorbed in the debugs call itself
+ *
+ * TODO: just before the next branching, blanket-remove HERE from the sources
  */
-//TODO: just before branching Squid 3.4, blanket-remove HERE from the source
-#define HERE ""
+static inline std::ostream&
+HERE(std::ostream& s)
+{
+    return s;
+}
 
 /*
  * MYNAME is for use at debug levels 0 and 1 where HERE is too messy.

=== modified file 'src/comm.cc'
--- src/comm.cc	2012-10-30 21:43:53 +0000
+++ src/comm.cc	2012-11-11 11:50:41 +0000
@@ -2135,7 +2135,7 @@
         return -1;
     }
 
-    debugs(50, 3, HERE "Opened UDS FD " << new_socket << " : family=" << AI.ai_family << ", type=" << AI.ai_socktype << ", protocol=" << AI.ai_protocol);
+    debugs(50, 3, "Opened UDS FD " << new_socket << " : family=" << AI.ai_family << ", type=" << AI.ai_socktype << ", protocol=" << AI.ai_protocol);
 
     /* update fdstat */
     debugs(50, 5, HERE << "FD " << new_socket << " is a new socket");

